Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.bridge
Interface UpdateManagerListener

All Known Implementing Classes:
  JSVGComponent.SVGListener, JSVGViewerFrame, UpdateManagerAdapter

public interface UpdateManagerListener

This interface represents a listener to the UpdateManagerEvent events.

Method Summary
`void` | `managerResumed(UpdateManagerEvent e)` Called when the manager was resumed.
`void` | `managerStarted(UpdateManagerEvent e)` Called when the manager was started.
`void` | `managerStopped(UpdateManagerEvent e)` Called when the manager was stopped.
`void` | `managerSuspended(UpdateManagerEvent e)` Called when the manager was suspended.
`void` | `updateCompleted(UpdateManagerEvent e)` Called when an update was completed.
`void` | `updateFailed(UpdateManagerEvent e)` Called when an update failed.
`void` | `updateStarted(UpdateManagerEvent e)` Called when an update started.

Method Detail

### managerStarted

    public void managerStarted(UpdateManagerEvent e)

  Called when the manager was started.

### managerSuspended

    public void managerSuspended(UpdateManagerEvent e)

  Called when the manager was suspended.

### managerResumed

    public void managerResumed(UpdateManagerEvent e)

  Called when the manager was resumed.

### managerStopped

    public void managerStopped(UpdateManagerEvent e)

  Called when the manager was stopped.

### updateStarted

    public void updateStarted(UpdateManagerEvent e)

  Called when an update started.

### updateCompleted

    public void updateCompleted(UpdateManagerEvent e)

  Called when an update was completed.

### updateFailed

    public void updateFailed(UpdateManagerEvent e)

  Called when an update failed.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Apache Software Foundation. All Rights Reserved.